// common/build.rs
fn main() -> Result<(), Box<dyn std::error::Error>> {
    tonic_build::configure()
        .build_server(true)
        .out_dir("src/proto")
        .file_descriptor_set_path("src/proto/descriptor.bin")
        .compile_protos( // Changed from .compile()
            &[
                "proto/common.proto",
                "proto/adresar.proto",
                "proto/auth.proto",
                "proto/uctovnictvo.proto",
                "proto/table_structure.proto",
                "proto/table_definition.proto",
                "proto/tables_data.proto",
                "proto/table_script.proto",
                "proto/search.proto",
            ],
            &["proto"],
        )?;
    Ok(())
}
